Bug 20514 - Searching for a patrons using the address option doesn't work with streetnumber
Summary: Searching for a patrons using the address option doesn't work with streetnumber
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P4 normal (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-03 21:56 UTC by Alex Buckley
Modified: 2019-05-30 07:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 20514: Use streetnumber when searching for patrons by address (1.26 KB, patch)
2019-05-11 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20514: Use streetnumber when searching for patrons by address (1.32 KB, patch)
2019-05-13 01:10 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 20514: Use streetnumber when searching for patrons by address (1.38 KB, patch)
2019-05-13 19:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Buckley 2018-04-03 21:56:49 UTC
If inputting a street address of street number and street name which are stored in different db fields (e.g. 'streetnumber' and 'address') this does not return patron results. 

If however the street number and name are stored in the same db field then results are returned for your search query.

At present the only way to search with the search field of address is to either enter ONLY a streetnumber OR a street name unless they are both stored in the same db field.
Comment 1 danield 2018-05-25 03:05:43 UTC
Is there any chance of this being patched in 18.05?
Comment 2 Jonathan Druart 2019-05-11 15:25:51 UTC
Created attachment 89609 [details] [review]
Bug 20514: Use streetnumber when searching for patrons by address

The streetnumber field was ignored from the search.

Test plan:
Create a patron with streetnumber="12", address="rue des cerisiers"
Search for patrons using the search field "street address"
using: 12 rue des cerisiers
=> Without this patch the patron will not be returned
=> With this patch applied it will!
Comment 3 Hayley Mapley 2019-05-13 01:10:45 UTC
Created attachment 89647 [details] [review]
Bug 20514: Use streetnumber when searching for patrons by address

The streetnumber field was ignored from the search.

Test plan:
Create a patron with streetnumber="12", address="rue des cerisiers"
Search for patrons using the search field "street address"
using: 12 rue des cerisiers
=> Without this patch the patron will not be returned
=> With this patch applied it will!

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 4 Katrin Fischer 2019-05-13 19:42:33 UTC
Created attachment 89688 [details] [review]
Bug 20514: Use streetnumber when searching for patrons by address

The streetnumber field was ignored from the search.

Test plan:
Create a patron with streetnumber="12", address="rue des cerisiers"
Search for patrons using the search field "street address"
using: 12 rue des cerisiers
=> Without this patch the patron will not be returned
=> With this patch applied it will!

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-05-15 12:13:40 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-05-30 07:23:17 UTC
Pushed to 18.11.x for 18.11.06